var modCommon=angular.module('common', [])

// add controler
modCommon.controller('AppController' , function ($scope, $mdSidenav) {
  
  $scope.app = [];
  $scope.toolbar = null;

  $scope.openLeftMenu = function() {
    $mdSidenav('left').toggle();
  };
  $scope.showNavIcon = function() {
    return !$mdSidenav('left').isLockedOpen();
  };
  $scope.selectView = function(view) {
    $scope.viewCurrent = view;
    if ($scope.showNavIcon() && $mdSidenav('left').isOpen()) {
        $scope.openLeftMenu();
    };
  };
  $scope.changeToolbar = function(toolbar) {
    $scope.toolbar = toolbar;
  };
});

// add directive
modCommon.directive('menuItem', function () {
		return {
			restrict: 'E',
      			scope: {},
			template: '<md-list-item tabindex="0" role="listitem"><div class="menu"><i name="{{icon}}" class="fa fa-{{icon}}"></i><span>{{title}}</span></div></md-list-item>',
			replace: true,
			link: function (scope, element, attrs) {
        scope.icon = attrs.icon;
        scope.title = attrs.title;
        element.removeAttr('icon');
        element.removeAttr('title');
			}
		};
	});
