var modTag = angular.module('tag', [])
// add constant
modTag.constant("API_TAGS", "http://localhost:5000/tags");
modTag.constant("API_SETTAG", "http://localhost:5000/settag");
// add controller
modTag.controller('TagController' , function ($scope, $http, $log, API_TAGS, API_SETTAG) {
	
	$scope.users = null;
	
  $http.get(API_TAGS).
    success(function(data, status, headers, config) {
      $scope.tags = data;
    }).
    error(function(data, status, headers, config) {
      alert('error');
    });
	
	$scope.edittag = null;
	$scope.returnListTag = function(item) {
		$scope.changeToolbar([]);
		$scope.edittag = null;
	}
	$scope.editTag = function(item) {
		$scope.changeToolbar([{
		   	label: "Back",
		   	fn: $scope.returnListTag,
		   	icon: "reply",
		   	//show: $scope.showSave
		   }]);
		$scope.edittag = item;
		$scope.settag = function() {	
      $http.post(API_SETTAG, {'tag':$scope.edittag}).
        success(function(data, status, headers, config) {
          // none
        }).
        error(function(data, status, headers, config) {
          alert('error');
        });
		};
	}
});

// add directive
modTag.directive('tagsView', function () {
		return {
			restrict: 'E',
			templateUrl: 'app/templates/tags.html',
			replace: true
		};
	});
