var modUser = angular.module('user', [])
// add constant
modUser.constant("API_USERS", "http://localhost:5000/users");
modUser.constant("API_SETUSER", "http://localhost:5000/setuser");
// add controller
modUser.controller('UserController' , function ($scope, $http, $log, API_USERS, API_SETUSER) {
	
	$scope.users = null;
	
  $http.get(API_USERS).
    success(function(data, status, headers, config) {
      $scope.users = data;
    }).
    error(function(data, status, headers, config) {
      alert('error');
    });
	
	$scope.edituser = null;
	$scope.returnListUser = function(item) {
		$scope.changeToolbar([]);
		$scope.edituser = null;
	}
	$scope.editUser = function(item) {
		$scope.changeToolbar([{
		   	label: "Back",
		   	fn: $scope.returnListUser,
		   	icon: "reply",
		   	//show: $scope.showSave
		   },{
		   	label: "Save",
		   	fn: $scope.setuser,
		   	icon: "save",
		   	//show: $scope.showSave
		   }]);
		$scope.edituser = item;
		$scope.setuser = function() {	
      alert('setuser');
      $http.post(API_SETUSER, {'user':$scope.edituser}).
        success(function(data, status, headers, config) {
          // none
        }).
        error(function(data, status, headers, config) {
          alert('error');
        });
		};
	}
});

// add directive
modUser.directive('usersView', function () {
		return {
			restrict: 'E',
			templateUrl: 'app/templates/users.html',
			replace: true
		};
	});
